You are not logged in.

#1 2019-04-29 18:44:23

capncrunch
Member
Registered: 2016-04-27
Posts: 11

Error during apt upgrade

I recently started getting the following error while running 'apt-get upgrade' on my system. I'm not sure how to go about solving it.

Fetched 2,289 B in 1s (1,177 B/s)
W: Failed to fetch http://httpredir.debian.org/debian/dist … /InRelease  Unable to find expected entry 'main/binary-amd64/Packages' in Release file (Wrong sources.list entry or malformed file)
E: Some index files failed to download. They have been ignored, or old ones used instead.

Can someone help me out with fixing this?

cc

Offline

#2 2019-04-29 19:23:31

linux_user
Member
Registered: 2016-11-04
Posts: 338

Re: Error during apt upgrade


"Blind faith to authority is the greatest enemy of truth."

Offline

#3 2019-04-29 21:22:33

capncrunch
Member
Registered: 2016-04-27
Posts: 11

Re: Error during apt upgrade

When I get to:
sudo chmod 644 /etc/apt/apt.conf.d/10-no-check-valid-until

I get:
chmod:  cannot access '/etc/apt/apt.conf.d/10-no-check-valid-until': No such file or directory


Is it enough to just create the file and rerun the command?

Offline

#4 2019-04-30 05:36:45

hhh
That's it!
Registered: 2015-09-17
Posts: 7,462
Website

Re: Error during apt upgrade

capncrunch wrote:

When I get to:
sudo chmod 644 /etc/apt/apt.conf.d/10-no-check-valid-until

I get:
chmod:  cannot access '/etc/apt/apt.conf.d/10-no-check-valid-until': No such file or directory


Is it enough to just create the file and rerun the command?

Don't do that, the echo command before that should have already created it. Try it again and see if it has been created...

echo 'Acquire::Check-Valid-Until "0";' | sudo tee /etc/apt/apt.conf.d/10no-check-valid-until

Offline

#5 2019-04-30 15:33:11

capncrunch
Member
Registered: 2016-04-27
Posts: 11

Re: Error during apt upgrade

On closer examination earlybird, in the thread linked to by linux_user, gives the following commands:

echo 'Acquire::Check-Valid-Until "0";' | sudo tee /etc/apt/apt.conf.d/10no-check-valid-until
sudo chmod 644 /etc/apt/apt.conf.d/10-no-check-valid-until

Notice the first contains 10no and the second 10-no. Which is correct?

Offline

#6 2019-05-01 03:42:26

hhh
That's it!
Registered: 2015-09-17
Posts: 7,462
Website

Re: Error during apt upgrade

It's the first without the hyphen. I'll fix the Announcement post. Thanks!

Offline

Board footer

Powered by FluxBB